import request from '@/utils/request'

// 查询模式列列表
export function listMode(query) {
  return request({
    url: '/system/mode/list',
    method: 'get',
    params: query
  })
}

// 查询模式所有数据
export function listModeAll(query) {
  return request({
    url: '/system/mode/listAll',
    method: 'get',
    params: query
  })
}


// 查询模式列详细
export function getMode(id) {
  return request({
    url: '/system/mode/' + id,
    method: 'get'
  })
}

// 新增模式列
export function addMode(data) {
  return request({
    url: '/system/mode',
    method: 'post',
    data: data
  })
}

// 修改模式列
export function updateMode(data) {
  return request({
    url: '/system/mode',
    method: 'put',
    data: data
  })
}

// 删除模式列
export function delMode(id) {
  return request({
    url: '/system/mode/' + id,
    method: 'delete'
  })
}
